#landing{
    height: 90vh;
    width: 100%;
}

.landing{
    position: relative;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: $color-white;
    &_intro{
        text-align: center;
        margin: 2rem auto;
        font-size: 4rem;
        &_name{
            padding: 0 0.5rem;
            font-size: 5rem;
            font-family: 'nunito', sans-serif;
            font-weight: 900;
            color: $color-unique;
            @include respond(tabletp){
                display: block;
                font-size: 8rem;
            }
            @include respond(phone){
                display: block;
                font-size: 6rem;
            }
        }
        @include respond(tabletp){
                font-size: 5rem;
            }
    }

    &_about{
        text-align: center;
        font-size: 2.5rem;
        font-weight: 600;
        overflow: hidden;
        padding: 0 0.8rem;
        white-space: nowrap;
        max-width: fit-content;
        border-right: 0.4rem solid $color-white;
        animation:  typing_open 4s steps(40, end),
                    blinking 0.7s step-end infinite;
        @include respond(tabletp){
            font-size: 3rem;
        }
        @include respond(phone){
            animation: none;
            border-right: none;
        }
        span{
            font-size: 3rem;
            font-weight: 900;
            font-family: 'nunito', sans-serif;
            color: $color-unique-2-light;
            @include respond(tabletp){
                font-size: 3.5rem;
            }
            @include respond(phone){
                display: block;
                font-size: 4rem;
            }
        }
    }

    &_icon-down{
        position: absolute;
        bottom: 5rem;
        font-size: 5rem;
        color: $color-white;
        transition: all .1s;
    }
    &_icon-down:hover{
        color: $color-unique-2;
    }
}
